#!/usr/bin/env node
export interface ProjectConfig {
    projectName: string;
    projectDir: string;
    setupOptions: SetupOptions;
}
export interface SetupOptions {
    includeSupabase: boolean;
    includeAnalytics: boolean;
    includeThemeSystem: boolean;
    includeErrorTracking: boolean;
}
export interface SupabaseConfig {
    supabaseUrl: string;
    supabaseAnonKey: string;
    supabaseProjectId: string;
}
export declare const validateSupabaseUrl: (url: string) => boolean;
export declare const validateSupabaseKey: (key: string) => boolean;
export declare const validateProjectId: (id: string) => boolean;
export declare const createProjectStructure: () => Promise<ProjectConfig>;
export declare const configureSupabase: () => Promise<SupabaseConfig>;
export declare const cloneTemplate: (projectDir: string) => void;
export declare const setupEnvironment: (projectName: string, setupOptions: SetupOptions, supabaseConfig?: SupabaseConfig) => Promise<void>;
